org.apache.jmeter.report.processor

## Class ValueResultData

- java.lang.Object
- - org.apache.jmeter.report.processor.ValueResultData

- All Implemented Interfaces:
    ResultData

      public class ValueResultData
      extends Object
      implements ResultData

  The class ValueResultData provides a value result from samples processing.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueResultData()` Instantiates a new value result data.
    `ValueResultData(Object value)` Instantiates a new value result data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `accept(ResultDataVisitor<T> visitor)` Accepts the specified visitor.
    `Object` | `getValue()` Gets the value of the result.
    `void` | `setValue(Object value)` Sets the value of the result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueResultData

          public ValueResultData()

      Instantiates a new value result data.

    - #### ValueResultData

          public ValueResultData(Object value)

      Instantiates a new value result data.
      Parameters:
        `value` - the value of the result

  - ### Method Detail

    - #### getValue

          public final Object getValue()

      Gets the value of the result.
      Returns:
        the value of the result

    - #### setValue

          public final void setValue(Object value)

      Sets the value of the result.
      Parameters:
        `value` - the new value of the result

    - #### accept

          public <T> T accept(ResultDataVisitor<T> visitor)

      Description copied from interface: `ResultData`
      Accepts the specified visitor.
      Specified by:
        `accept` in interface `ResultData`
      Type Parameters:
        `T` - type of the results of the `ResultDataVisitor`
      Parameters:
        `visitor` - the visitor (must not be `null`)
      Returns:
        result of the vist

Copyright © 1998-2017 Apache Software Foundation. All Rights Reserved.